curl --request GET \
--url https://api.getoneprofile.ai/integration/{integration_id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/integration/{integration_id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/integration/{integration_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/integration/{integration_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/integration/{integration_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/integration/{integration_id}/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/integration/{integration_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"created_by_actor_type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_type": "<string>",
"kind": "source",
"name": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"connect_method": "credentials_form",
"created_by_display_name": "<string>",
"health_checked_at": "2023-11-07T05:31:56Z",
"health_error_code": "<string>",
"health_error_message": "<string>",
"health_status": "healthy",
"record_types": [
{
"display_name": "<string>",
"is_custom": true,
"slug": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Get an integration
Get an integration by its ID.
curl --request GET \
--url https://api.getoneprofile.ai/integration/{integration_id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/integration/{integration_id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/integration/{integration_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/integration/{integration_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/integration/{integration_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getoneprofile.ai/integration/{integration_id}/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/integration/{integration_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"created_by_actor_type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_type": "<string>",
"kind": "source",
"name": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"connect_method": "credentials_form",
"created_by_display_name": "<string>",
"health_checked_at": "2023-11-07T05:31:56Z",
"health_error_code": "<string>",
"health_error_message": "<string>",
"health_status": "healthy",
"record_types": [
{
"display_name": "<string>",
"is_custom": true,
"slug": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Path Parameters
Response
Successful Response
Response model for List Integrations endpoint.
This model specifically does not include the config field. Use the integration specific read model whenever possible.
Type of actor that created this integration: 'user', 'api', or 'system'.
user, api, system The type of the integration.
Indicates if the integration is a source, destination, or both.
source, destination, both The name of the integration as defined by the user.
How this connection authenticates: 'credentials_form' (API-key form) or 'oauth_connect' (one-click app-listing OAuth). Gates the switch/reconnect surfaces in the UI.
oauth_connect, credentials_form Display name of the creator. User's full name or 'API - {key name}'.
When the latest health check was performed.
Machine-readable error code from the latest health check (e.g. 'unauthorized', 'insufficient_permissions', 'rate_limited'). Drives the 'Action required: reauthorize' state and Reconnect CTA when it is 'unauthorized' or 'insufficient_permissions'. Null if never checked or healthy.
Error message from the latest health check, if unhealthy.
Latest health check status: healthy, warning, or error. Null if never checked.
healthy, warning, error Record types this integration supports, as display-ready chips matching the Data tab. Wildcard integrations also include a 'Custom' marker.
Show child attributes
Show child attributes
Was this page helpful?